# Ticker Flow `GET` `https://api.unusualwhales.com/api/insider/{ticker}/ticker-flow` Returns an aggregated view of the insider flow for the given ticker. This can be used to quickly examine the buy & sell insider flow for a given trading date ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Path Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `ticker` | SingleTicker | Yes | A single ticker | ## Query Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `limit` | Default 500 Max 500 Min 1 | No | How many items to return. Default: 500. Max: 500. Min: 1. | | `page` | Page | No | Page number (use with limit). Starts on page 0. | ## Response (200) | Field | Type | Description | |-------|------|-------------| | `avg_price` | Insider Average Price | The average price of the insider trade. | | `buy_sell` | Transaction Side | Whether the insider bought or sold. | | `date` | Market General Trading day | A trading date in ISO format. | | `has_more` | Has More | Indicates whether there are more results available beyond the current page. | | `premium` | Insider Premium | The premium of the insider trade. | | `transactions` | Insider Transactions | The number of transactions of the insider trade. | | `uniq_insiders` | Insider Unique Insiders | The number of unique insiders of the insider trade. | | `volume` | Insider Volume | The volume of the insider trade. | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/insider/{ticker}/ticker-flow" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/insider/{ticker}/ticker-flow", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "data": [ { "avg_price": 162.32, "buy_sell": "sell", "date": "2024-12-12", "premium": "664386", "transactions": 54, "uniq_insiders": 10, "volume": 244331 } ], "has_more": false } ```